from typing import Iterable

from darcyai_engine.stream_data import StreamData


class InputStream:
    """
    A class for reading input from a stream.
    """

    def __init__(self):
        pass

    def stream(self) -> Iterable[StreamData]:
        """
        Returns a generator that yields a stream of input.

        Args:
            None

        Returns:
            A generator that yields a stream of input.
        """
        raise NotImplementedError("InputStream.stream() not implemented")

    def stop(self) -> None:
        """
        Stops the stream.

        Args:
            None

        Returns:
            None
        """
        raise NotImplementedError("InputStream.stop() not implemented")
