from typing import Any, Dict


class PerceptionObjectModel():
    """
    This class is used to represent the perception of an object.
    """

    def __init__(self):
        self.__dict__ = {}

    def set_value(self, key: str, value: Any) -> None:
        """
        Set the value of a key in the perception object model.

        Args:
            key (str): The key to set.
            value (Any): The value to set.

        Returns:
            None
        """
        self.__dict__[key] = value

    def serialize(self) -> Dict[str, Any]:
        """
        Serialize the perception object model.

        Args:
            None

        Returns:
            Dict[str, Any]: The serialized perception object model.
        """
        raise NotImplementedError()
